#
# spec file for package opensuse-updater (Version 0.5)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel arts arts-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cups-devel cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils e2fsprogs expat fam fam-devel file filesystem fillup findutils flac flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip info insserv jack jack-devel kdelibs3 kdelibs3-arts kdelibs3-devel kdelibs3-doc klogd less libacl libacl-devel libart_lgpl libart_lgpl-devel libattr libattr-devel libcom_err libdrm libdrm-devel libgcc41 libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libltdl libmng libmng-devel libmudflap41 libnscd libogg libogg-devel libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio linux-kernel-headers m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre pcre-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils python qt3 qt3-devel rcs readline rpm sed sgml-skel sqlite strace sudo sysvinit tar tcpd texinfo timezone unsermake unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           opensuse-updater
BuildRequires:  kdelibs3-devel update-desktop-files
License:        GPL v2 or later
Group:          System/Management
Summary:        KDE updater applet for OpenSUSE
Version:        0.5
Release:        0.3
Url:            http://en.opensuse.org/KDE_Updater_Applet
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        opensuseupdater-%{version}.tar.bz2
Patch:          386689.diff
Requires:       zypper >= 0.5.3

%description
KDE updater applet for OpenSUSE

Authors:
--------
    Narayan Newton <narayannewton@gmail.com>

%debug_package
%prep
%setup -q -n opensuseupdater-%{version} 
. /etc/opt/kde3/common_options
update_admin --no-unsermake
%patch -p1 

%build
. /etc/opt/kde3/common_options
./configure $configkde --disable-final
make

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
rm -rf $RPM_BUILD_ROOT/opt/kde3/include
%suse_update_desktop_file opensuseupdater
%find_lang opensuseupdater
kde_post_install

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f opensuseupdater.lang
%defattr(-,root,root)
%attr(755, root, root) /opt/kde3/bin/*
%dir /opt/kde3/share/apps/opensuseupdater/
%dir /opt/kde3/share/apps/opensuseupdater/pics
/opt/kde3/share/apps/opensuseupdater/pics/*
/opt/kde3/share/apps/opensuseupdater
/opt/kde3/share/icons/hicolor/*
/opt/kde3/share/applnk/*
/opt/kde3/share/autostart/*.desktop
/opt/kde3/share/applications/kde/opensuseupdater.desktop
/opt/kde3/%{_lib}/*
/opt/kde3/share/doc/*
/opt/kde3/share/services/*
/opt/kde3/share/config.kcfg/opensuseupdater_settings.kcfg
%doc /opt/kde3/share/doc/HTML/en/suseupdater

%changelog
* Thu May 15 2008 - tgoettlicher@suse.de
- fixed multiple vulnerabilities (bnc #386689)
* Thu Jul 12 2007 - coolo@suse.de
- fix desktop file
* Mon Jul 02 2007 - tgoettlicher@suse.de
- fixed opensuseupdater says there is one update, fires YOU, and this says there is none. (#279355)
- r5861
* Mon Jun 11 2007 - tgoettlicher@suse.de
- Fixed opensuseupdater detail window uses default icon (#279879)
- r5726
* Wed May 23 2007 - tgoettlicher@suse.de
- fix doesn't refresh (to no updated needed) after update installed (#227795)
- r5601
* Fri Apr 20 2007 - tgoettlicher@suse.de
- remove feature "details...." button to update notification (#230121) added in r5394
- r5423
* Thu Apr 19 2007 - tgoettlicher@suse.de
- fix should wait for initial update until (K)NetworkManager has established
  connection (#231203)
- r5410
* Tue Apr 17 2007 - tgoettlicher@suse.de
- add "details...." button to update notification (#230121)
- r5394
* Mon Apr 16 2007 - tgoettlicher@suse.de
- fix some translations lost/missing (#229225)
- r5384
* Fri Apr 13 2007 - tgoettlicher@suse.de
- Small string change "Check now..." => "Check Now"
- r5370
* Thu Apr 12 2007 - tgoettlicher@suse.de
- fix missing one German translation (#244583)
- r5359
* Thu Apr 12 2007 - tgoettlicher@suse.de
- fix i18n issues caused by changing PROGRAM_NAME
- r5352
* Wed Apr 11 2007 - tgoettlicher@suse.de
- fix unfortune default column width (#262332)
- r5334
* Wed Apr 11 2007 - tgoettlicher@suse.de
- fix text cut off (#220870)
- r5330
* Tue Apr 10 2007 - tgoettlicher@suse.de
- fix warning message on STDOUT (224548)
- r5325
* Tue Apr 10 2007 - tgoettlicher@suse.de
- fix Software strings / Window names (#221236)
- r5323
* Tue Apr 10 2007 - tgoettlicher@suse.de
- moved to svn.opensuse.org
- fix text cut off (#220870)
- r5321
* Tue Mar 27 2007 - dmacvicar@suse.de
- remove some useless files from the tarbal
- r500
* Mon Dec 11 2006 - dmacvicar@suse.de
- fix yast paths (#224566 - reopened)
- add basic infrastructure for cleanup at exit, not done yet
- r494
* Thu Nov 30 2006 - dmacvicar@suse.de
- Use xfg-su copy to launch yast (#224566)
- disable selection of updates for backends
  which don't support it (ie: zypp)
- fix iconname in specfile
- r492
* Mon Nov 27 2006 - dmacvicar@suse.de
- enable install button when updates are available (#218182)
- provide icon in various sizes, they doesn't look bad scaled now.
- new busy icon, which look different than the not-found con.
- r482
* Fri Nov 24 2006 - dmacvicar@suse.de
- fix closeEvent, to not block logout if applet is maximized.
  Patch by wstephenson
- r474
* Thu Nov 23 2006 - dmacvicar@suse.de
- did the fix in wring desktop file
- r472
* Thu Nov 23 2006 - dmacvicar@suse.de
- applet opens its window on desktop login (#222478), real fix
- r470
* Tue Nov 21 2006 - dmacvicar@suse.de
- fix bug number in changes file for bug 222478
* Tue Nov 21 2006 - dmacvicar@suse.de
- (#222553) opensuse-updater context menu mixed up
- recycle strings for the passive popup.
- r467
* Mon Nov 20 2006 - dmacvicar@suse.de
- (#222554) opensuseupdater.desktop misspell and duplication
- (#221850) passive notifications, patch by
  Benjamin Weber <benji.weber@gmail.com>, thanks!
- r465
* Mon Nov 20 2006 - dmacvicar@suse.de
- applet opens its window on desktop login (#222478)
- show no updates icon (#222485)
- new translations
- r461
* Thu Nov 16 2006 - dmacvicar@suse.de
- Dont use xmlrpc over http, but direct to the socket.
  (#218468). Zenworks backend working again.
- r457
* Tue Nov 14 2006 - dmacvicar@suse.de
- fix autostart (#220209)
- allow checking from the UI (#219954)
- use KDE's network service to skip check if offline (#220193)
- r455
* Fri Nov 10 2006 - dmacvicar@suse.de
- new icons by the Interfaces and Applications team.
- r452
* Thu Nov 09 2006 - dmacvicar@suse.de
- fix message extraction
- r450
* Thu Nov 09 2006 - dmacvicar@suse.de
- Complain if can't launch the helper
- Use plural and .arg() for translations
- extract strings from ui fles
- r448
* Tue Nov 07 2006 - dmacvicar@suse.de
- add translations
- r445
* Fri Nov 03 2006 - dmacvicar@suse.de
- fix reading backend on startup
- version 0.4
- r442
* Tue Oct 24 2006 - dmacvicar@suse.de
- missing kcfg file in spec file
- r438
* Tue Oct 24 2006 - dmacvicar@suse.de
- fixed tarball submission
* Mon Oct 23 2006 - dmacvicar@suse.de
- string fixes
- Use KConfigXT and KConfigDialog instead of
  a plain QWidget for general settings
- r435
* Thu Oct 19 2006 - dmacvicar@suse.de
- show sources in list
- show error descriptions
- r433
* Wed Oct 18 2006 - dmacvicar@suse.de
- show the right status
- r429
* Wed Oct 18 2006 - dmacvicar@suse.de
- start the check at startup
- r423
* Thu Oct 12 2006 - dmacvicar@suse.de
- revision 405 with support for direct system access
  via zypp
* Wed Aug 30 2006 - stbinner@suse.de
- fix build
* Tue Aug 29 2006 - dmacvicar@suse.de
- revision 390
